import fs from "fs";
import os from "os";
import * as toml from "@std/toml";

export const configPath = os.homedir() + "/.config/project-cli/";

export interface Configuration {
  projectsDirectory: string;
}

export function generateDefaultConfig() {
  fs.mkdirSync(configPath, { recursive: true });
  fs.mkdirSync(configPath + "templates/", { recursive: true });

  const defaultConfig: Configuration = {
    projectsDirectory: os.homedir() + "/projects",
  };

  const configString = toml.stringify(
    defaultConfig as unknown as Record<string, unknown>,
  );
  fs.writeFileSync(configPath + "config.toml", configString);
}
