import fs from "fs";
import { confirm } from "@inquirer/prompts";
import { exit } from "process";
import {
  configPath,
  generateDefaultConfig,
} from "./configuration/configuration";

if (!fs.existsSync(configPath + "config.toml")) {
  const createConfig = await confirm({
    message: "No cofig has been found. Would you like to generate a new one?",
  });

  if (createConfig) {
    generateDefaultConfig();
  } else {
    console.log(
      "This project can not run without the config. Either create it yourself or generate the default.",
    );
    exit(1);
  }
}

